package com.pcloud.book.giftcoupon.biz;

import com.pcloud.book.giftcoupon.dto.BatchReceiveDTO;
import com.pcloud.book.giftcoupon.dto.GiftPackageDTO;
import com.pcloud.book.giftcoupon.dto.MyGiftPackageDTO;
import com.pcloud.book.giftcoupon.entity.GiftCouponPackage;
import com.pcloud.book.giftcoupon.entity.GiftReceive;
import com.pcloud.common.page.PageBeanNew;

import java.util.List;

public interface GiftCouponPackageBiz {
    void createGiftPackage(GiftCouponPackage giftCouponPackage);

    void updateGiftPackage(GiftCouponPackage giftCouponPackage);

    GiftCouponPackage getGiftPackage(Long id);

    void deleteGiftPackage(Long id);

    void createGiftReceive(GiftReceive giftReceive);

    PageBeanNew<GiftPackageDTO> list4GiftPackage(String title, Integer state,Integer couponType, Integer currentPage, Integer numPerPage);

    PageBeanNew<MyGiftPackageDTO> list4MyGiftPackage(Integer state,Long wechatUserId,Integer currentPage, Integer numPerPage);

    void useGiftCoupon(Long wechatUserId, Long receiveId);

    void createGiftReceiveBatch(BatchReceiveDTO batchReceiveDTO, Long wechatUserId);
}
